
ctools - Bug #1452

Use of diffuse model cube leads to a large counts rate in event simulations

03/26/2015 07:42 PM - Knödlseder Jürgen

Status: Closed Start date: 03/26/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Using a standard GALPROP model leads to a hugh event rate in simulations:

2015-03-26T18:37:51: *** ERROR encounterted in the execution of ctobssim. Run aborted ...

2015-03-26T18:37:51: *** ERROR in ctobssim::simulate_source(GCTAObservation*, GModels&, GRan&, GLog*): Invalid value.

 Photon rate 1.86532e+17 photons/sec for model "GALPROP" exceeds maximum allowed photon rate of 1e+06 photons/sec. Please

 check the model parameters for model "GALPROP" or increase the value of the hidden "maxrate" parameter.

History

#1 - 03/26/2015 07:43 PM - Knödlseder Jürgen

- Subject changed from Use of diffuse model cube leads to a large counts rant to Use of diffuse model cube leads to a large counts rate in event

simulations

- Description updated

#2 - 03/28/2015 11:14 AM - Knödlseder Jürgen

- Project changed from GammaLib to ctools

#3 - 03/28/2015 11:14 AM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.0.0

- % Done changed from 0 to 100

The rate computation was not valid for a diffuse map cube. This problem has been fixed now.
